Subject: Re: [PATCH 0/6 (v2)] Detecting HEAD more reliably while cloning

From: Johannes Sixt <[email-masked]>
Date: Mon, 01 Dec 2008 16:52:11 +0100

Junio C Hamano schrieb:
> Instead of introducing a full-fledged protocol extension, this round hides
> the new information in the same place as the server capabilities list that
> is used to implement protocol extension is hidden from older clients.

Not that it makes a lot of difference, but why do you want to *hide* the
information? Can't we just have a capability-with-parameter:

 ... shallow no-progress include-tag head=refs/heads/foo\ bar ...

(with spaces and backslashes escaped)?

-- Hannes